Link insight to report
POST
/api/v1/reports/{id}/insights
const url = 'https://example.com/api/v1/reports/example/insights';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"insightId":"example","isNew":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/reports/example/insights \ --header 'Content-Type: application/json' \ --data '{ "insightId": "example", "isNew": true }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body
Section titled “Request Body ” Media type application/json
object
insightId
required
string
isNew
boolean
Responses
Section titled “ Responses ”Success
Media type application/json
object
insightId
required
string
referencedAt
required
string | null format: date-time
isNew
required
boolean
Report or insight not found
Insight already referenced by this report